Re: Client RPM failures


Adrian Reber
 

Could you provide more details about the errors you are seeing. Do you
have errors installing ohpc-release-1.3-1.el7.x86_64.rpm or does that
work? Can you give a full output of the error you get trying to install
lmod-ohpc?

Adrian

On Tue, Apr 02, 2019 at 08:24:45PM -0700, aaronhcarr@... wrote:
I'm working on doing OpenHPC xCAT / Slurm on RHEL 7.6.

I've gotten the server set up and all seemed well.

Once I started working on the clients, it's blown up big time.

Basically something from every component failed.
lmod-ohpc failed.
Ganglia.
Nagios.
Slurm.

It will install a lot of it, but some component from each fails, which of
course means that it won't work.

I've tried installing from local repo
using OpenHPC-1.3.6.CentOS_7.x86_64.tar
and OpenHPC-1.3.7.CentOS_7.x86_64.tar.

I've also tried just installed the release
files epel-release-latest-7.noarch.rpm
and ohpc-release-1.3-1.el7.x86_64.rpm and doing it online.

Doesn't matter what method I use, the end result comes out the same.

Failed:
nagios-plugins-nrpe-ohpc.x86_64 0:3.2.0-28.2
nagios-plugins-ohpc.x86_64 0:2.2.1-24.2

Failed:
nrpe-ohpc.x86_64 0:3.2.0-28.2

Installed:
ganglia-gmond-ohpc.x86_64 0:3.7.2-26.1.ohpc.1.3.7

Dependency Installed:
apr.x86_64 0:1.4.8-3.el7_4.1 libconfuse.x86_64
0:2.7-7.el7

Failed:
ganglia-ohpc.x86_64 0:3.7.2-26.1.ohpc.1.3.7

Anyone else seen this or have a solution?


Join OpenHPC-users@groups.io to automatically receive all group messages.